---
layout: default
title: GitLab Hackathon
description: "Join the community, hack on GitLab and win prizes!"
canonical_path: "/community/hackathon/"
suppress_header: true
twitter_image: '/images/community/hackathon/hackathon-generic-card.png'
extra_css:
  - contributing.css
  - styles-2018.css
extra_js:
  - countdown.js
  - hackathon.js
---
- # Update the following 3 values only
- hackathon_start_date = Date.new(2025, 01, 23)
- meetup_event_id = "304311859"
- hackathon_tracking_issue_id = "655"

- hackathon_end_date = hackathon_start_date + 7
- hackathon_merge_date = hackathon_end_date + 31
- meetup_link = "https://www.meetup.com/gitlab-virtual-meetups/events/#{meetup_event_id}/"

-# Schema.org structured data.
:javascript
  var nextHackathonDate = {
    start: new Date('#{hackathon_start_date.strftime('%B %-d, %Y')} 00:00:00 UTC').getTime(),
    end: new Date('#{hackathon_end_date.strftime('%B %-d, %Y')} 00:00:00 UTC').getTime(),
  };
  var hackathonIssueID = '#{hackathon_tracking_issue_id}';
  window.nextHackathonDate = nextHackathonDate;
  window.hackathonIssueID = hackathonIssueID;
:plain
  <script type="application/ld+json">
  {
    "@context": "https://schema.org",
    "@type": "Hackathon",
    "name": "GitLab Hackathon",
    "description": "Get together with the GitLab community to contribute, learn, and win exciting prizes.",
    "organizer" : "GitLab",
    "startDate": "#{hackathon_start_date.strftime('%Y-%m-%d')}",
    "endDate": "#{hackathon_end_date.strftime('%Y-%m-%d')}",
    "eventStatus": "https://schema.org/EventScheduled",
    "eventAttendanceMode": "https://schema.org/OnlineEventAttendanceMode",
    "location": {
      "@type": "VirtualLocation",
      "url": "https://about.gitlab.com/community/hackathon/"
    }
  }
  </script>

.wrapper
  .simple-hero
    .container
      .row
        .col-md-8.col-md-offset-2.hero-image
          = partial "includes/icons/hackathon-header.svg"

      .row
        %h1 GitLab Hackathon

      .row
        .col-md-6.col-md-offset-3
          %p
            Get together with the GitLab community to contribute, learn, and win exciting prizes.
          %p
            %img{ src: "/ico/favicon-32x32.png", alt: "GitLab logo", style: "float: left; margin-right: 1em;", width: "32", height: "32" }
            = "Join us from #{hackathon_start_date.strftime('%B %-d')} - #{hackathon_end_date.strftime('%B %-d')}"
            %a{ href: '#hackathon-dates', style: "color:rgb(255,255,255);" } *
            %img{ src: "/ico/favicon-32x32.png", alt: "GitLab logo", style: "float: right; margin-right: 1em;", width: "32", height: "32" }
          %br
          %br
          %span.h3#nextHackathonCountdown
            %i.fas.fa-spinner.fa-spin.fa-fw{ style: "color:rgb(255,255,255)); font-size:.85em", 'aria-hidden': true }

  #content
    .wrapper.container.contributing-content{role: "main"}
      .block
        .block-content
          %h2#joining-in.block-title
            %a{ href: '#joining-in' } Joining in
          %p
            %a{ href: meetup_link } RSVP to our meetup.com event.
          %p
            The Hackathon is a virtual event open to anyone who is interested in contributing code, translations, UX designs and more to GitLab.
            By participating in GitLab's Hackathon, you have the opportunity to work on issues that matter to you and advance your skills/experience while joining a global, diverse and inclusive team of contributors and GitLab team members.
          %p
            The Hackathon is scheduled to run for 7 days, to be inclusive. This accommodates participants who contribute during both their work hours and free time.
            GitLab reviewers normally review MRs from Monday to Friday.
          %p
            %b To get started:
          %p
            %b Before the Hackathon
          %p
            %ul
              %li
                Block the dates on your calendar, or <a href="https://calendar.google.com/calendar/u/0?cid=Y183OTMwZmNiMGM5ZTQ3ODNiZGQzZDIzODU4YWU5YWY0MzA2ZjI4ZDk3NmE0MGM4MzNmNTA3MTBjN2NiODZiYTgyQGdyb3VwLmNhbGVuZGFyLmdvb2dsZS5jb20">subscribe</a> to the <a href="https://about.gitlab.com/handbook/marketing/community-relations/evangelist-program/#upcoming-events">GitLab Developer Evangelism calendar</a> that includes the Hackathon dates and calls.
              %li
                %a{ href: meetup_link } RSVP to our meetup.com event.
              %li
                = link_to "Request access to the community forks.", "https://gitlab.com/groups/gitlab-community/community-members/-/group_members/request_access"
          %p            
            %b During the Hackathon
          %p
            :markdown
              1. [Join the sessions](#sessions) to find more about the Hackathon or watch the recording that will be posted afterwards.
              1. In case you don't want to work on the issues described in the <a href="#issues-to-contribute">contribute area below</a>:
                <br>- To get started with code, check out the curated list of [issues to contribute to](https://about.gitlab.com/community/contribute/development/), based on the project you are interested in contributing to.
              1. Leave a comment on the issue(s) you are working on. For help, you can ask directly in the issue or at the [contributors channel](#getting-help).
              1. Create your MRs during the Hackathon dates - all MRs created during the Hackathon dates are eligible to score points.
              1. Checkout the live [Hackathon leaderboard!](https://gitlab-community.gitlab.io/community-projects/merge-request-leaderboard/).
          %p
            %b After the Hackathon
          %p
            :markdown
              1. You'll have one month from the Hackathon end date to finish going through the feedback, review, and merge process for your MRs.
              1. At the end of the month, the team will review the contributions and results will be made public within a week.
              1. Participants and winners will be contacted to claim their prizes.

      .block
        .block-content
          %h2#issues-to-contribute.block-title
            %a{ href: '#issues-to-contribute' } Issues to contribute to

          %p
            When you create a merge request during the Hackathon, <code>@gitlab-bot</code> will automatically identify, label, and let you know it is eligible.
            Contributions to all projects under the <a href="https://gitlab.com/gitlab-org">gitlab-org</a> and <a href="https://gitlab.com/gitlab-com">gitlab-com</a> groups qualify for the Hackathon.
          %p
            We recommend starting with our
            = link_to "GitLab contribution guide", "https://docs.gitlab.com/ee/development/contributing/"
            which covers the process of
            = link_to "finding an issue to work on,", "https://docs.gitlab.com/ee/development/contributing/#choose-or-create-an-issue"
            = link_to "setting up a development environment,", "https://docs.gitlab.com/ee/development/contributing/#choose-a-development-environment"
            = link_to "and raising a merge request.", "https://docs.gitlab.com/ee/development/contributing/#open-a-merge-request"
          %p
            We have several reproducible issues which are great for first time contributors.
            Please only pickup a single fix from these issues to allow other contributors to participate.
            %ul
              %li
                = link_to "Documentation (Markdown)", "https://gitlab.com/gitlab-org/gitlab/-/issues/479161"
              %li
                = link_to "Backend (Ruby)", "https://gitlab.com/gitlab-org/gitlab/-/issues/239356"
          %p
            You can contribute to any page in the
            = link_to "GitLab Handbook", "https://handbook.gitlab.com/"
            by clicking "Edit this page" located in the footer of the page.
            There is no specific list of issues, we encourage you to explore the handbook for typos, broken links and outdated information.  
          %p{ class: "alert alert-gitlab-purple text-center" }
            %span{ class: "h3", id: "hackathonMRCount" }
              %i{ class: "fas fa-spinner fa-spin fa-fw", style: "color:rgb(107,79,187); font-size:.85em", "aria-hidden": true }

      .block
        .block-content
          %h2#prize.block-title
            %a{ href: '#prize' } Hackathon scoring and prizes

          %p
            We award 5 points for every merged MR closing an issue, and 1 point for every merged MR which does not close an issue. 
            We are excited to offer the following prizes for this Hackathon. 

          %p#hackathon-dates{ class: "alert alert-info" }
            %i{ class: "fas fa-info-circle", style: "color: rgb(49, 112, 143);", "aria-hidden": true }
            All qualifying MRs must be submitted between
            = hackathon_start_date.strftime('%B %-d')
            00:00 UTC &
            = hackathon_end_date.strftime('%B %-d')
            00:00 UTC and be <em>merged</em> by
            = hackathon_merge_date.strftime('%B %-d')
            at 00:00 UTC.

          :markdown
            | Categories | Eligibility | Description  |
            |------------|-------------|--------------|
            | First Place | Individual(s) with the most points | 200 credits to redeem in our Contributor Success store |
            | Second Place | Individual(s) with the second most points | 150 credits to redeem in our Contributor Success store |
            | Third Place | Individual(s) with the third most points | 100 credits to redeem in our Contributor Success store |
            | Merged MR | Everyone with a merged MR | 50 credits to redeem in our Contributor Success store |

            Don't need swag? You can also use store credits to plant trees in the [GitLab Forest](https://tree-nation.com/profile/gitlab)!

            A preview of the prizes can be found in our [Contributor Success store](https://gitlab-contributor.brilliantmade.com/).

      .block
        .block-content
          %h2#sessions.block-title 
            %a{ href: '#sessions' } Hackathon tutorials and office hour sessions
          
          %p
            Tutorial sessions during the Hackathon help you get kickstarted with contributing and to learn more about GitLab development. More sessions/speakers may be added as they are confirmed.

          %p

          %table.table
            %thead
              %tr
                %th
                  Date
                %th
                  Time in
                  = link_to "UTC", "https://en.wikipedia.org/wiki/Coordinated_Universal_Time"
                  %br
                  (click for local time)
                %th
                  Topic
                %th
                  Session
                %th
                  Speakers

            %tbody
              %tr
                %td
                  = hackathon_start_date.strftime('%B %-d')
                %td
                %td
                  Hackathon Kickoff - Learn all about our Hackathon format, and get ready to start contributing
                %td
                  = link_to "Recording", "https://youtu.be/XKYtjwbp4ic"
                %td
                  = link_to "Arianna Haradon (@aharadon)", "https://gitlab.com/aharadon"

          %p{ class: "alert alert-info" }
            %i{ class: "fas fa-info-circle", style: "color: rgb(49, 112, 143);", "aria-hidden": true }
            If you miss any of the sessions, you will find the recordings in the
            = link_to "Hackathon Playlist", "https://www.youtube.com/playlist?list=PL05JrBw4t0KrqGydhkV_BUPrI-DBiDKfm"

          %h3#getting-help.block-title
            %a{ href: '#getting-help' } Getting help
          %p
            For communications during the Hackathon, we will use the <code>#contribute</code> channel in Discord.
            This channel is for contribution-related discussions and for community members to help each other when contributing to GitLab.
            It's open to everyone, so please join us at the <a href="https://discord.gg/gitlab">Discord Community Server</a>!

      .block
        .block-content
          %h2#guidelines.block-title
            %a{ href: '#guidelines' } Hackathon guidelines
          %p
            Hackathon organizers and GitLab team members reserve the rights to:
          %p
            1. Not consider a merge request part of the Hackathon if it's spam or could be part of a larger merge request, etc. If a GitLab team member decides to reject an MR, the guidance for the team member is to leave a comment informing the contributor and their thinking behind their decision.
          %p
            2. Block and ban a user that is not following GitLab's 
            =link_to "Code of Conduct", "https://about.gitlab.com/community/contribute/code-of-conduct/"
          %p
            3. Block and ban a user that is using two or more accounts for participating in the Hackathon
          %p
            Disclaimer: Due to applicable trade control law and the policies of our shipping partners, prizes cannot be shipped to the following countries: Cuba, Iran, North Korea, Syria, Ukraine, Russia, and Belarus. This list is subject to change without notice.

      .block
        .block-content
          %h2#past-events.block-title
            %a{ href: '#past-events' } Past events

          %p
            To learn more about previous Hackathon events, visit the
            %a{href: "https://about.gitlab.com/community/hackathon/past-events/"} past GitLab Hackathons page.
